Join FlipAndroid.COM Telegram Group: https://t.me/joinchat/F_aqThGkhwcLzmI49vKAiw


Tag: android gradle

¿Todas las bibliotecas com.google.android.gms deben usar la misma especificación de versión?

Recibo el siguiente mensaje de advertencia en mi nivel de compile 'com.google.android.gms:play-services-analytics:9.2.0' para la compile 'com.google.android.gms:play-services-analytics:9.2.0' línea compile 'com.google.android.gms:play-services-analytics:9.2.0' . ¿Qué significa esto? All com.google.android.gms libraries must use the exact same version specification (mixing versions can lead to runtime crashes). Found versions 9.2.0, 8.4.0. Examples include com.google.android.gms:play-services-basement:9.2.0 and com.google.android.gms:play-services-ads:8.4.0 less… (Ctrl+F1) There are some combinations […]

La sincronización de Gradle falló: Causa: org / gradle / listener / ActionBroadcast

Obtener este error en la previsualización de Android studio canary 3.0 durante la construcción.

Duplicar archivos al agregar la compilación con Gradle en Android Studio

Estoy tratando de añadir Jackson a mi proyecto de Android Studio Lo hago añadiéndolo a las dependencias en gradle: dependencies { compile fileTree(include: ['*.jar'], dir: 'libs') compile 'com.android.support:appcompat-v7:19.+' compile 'com.android.support:support-v4:19.+' compile files('libs/universal-image-loader-1.9.2.jar') compile 'com.google.android.gms:play-services:+' compile 'com.fasterxml.jackson.core:jackson-databind:2.4.3' } Gradle build funciona bien, sin embargo, cuando quiero ejecutar pruebas en Android Studio me da el siguiente error: […]

Gradle force build tools version en bibliotecas de terceros?

¿Cómo puedo obligar a una biblioteca a usar las herramientas de compilación sdk 19.1.0 o anteriores sin forking / manualmente la edición del archivo build.gradle para la biblioteca? Sigo recibiendo este error al usar bibliotecas … Error:The SDK Build Tools revision (…….) is too low for project ':somelibrary'. Minimum required is 19.1.0

Android Gradle – Añadir packageNameSuffix en producto específicoFlavor

Tengo un proyecto de Gradle Android con este producto Configuración de Grupos y Sabores: /* * Define different flavor groups */ flavorGroups 'market', 'version' /* * Defile product flavors */ productFlavors { amazon { flavorGroup 'market' } google { flavorGroup 'market' } flav1 { flavorGroup 'version' packageName 'com.company.flav1' } flav2 { flavorGroup 'version' packageName 'com.company.flav2' […]

FUSIÓN MANIFESTA: ¿Es posible ver el Manifiesto mixto resultante?

Tengo un módulo de biblioteca con un enorme manifiesto. También tengo un módulo de aplicación con un gran manifiesto muy similar a mi biblioteca manifiesto, pero con los cambios de nombre del paquete. Ahora quiero ver el manifiesto mixto resultante del proceso de Fusión de Manifiesto. ¿Cómo puedo verlo?

¿Por qué no funcionan las bibliotecas de soporte de Android en mi proyecto?

Utilizando Android Studio, seguí los pasos en https://developer.android.com/tools/support-library/setup.html tan acurately como pude, pero me dijo el siguiente error: Error: No se pudo encontrar el método compile () para los argumentos [com.android.support:appcompat-v7:18.0.+] en org.gradle.api.internal.artifacts.dsl.dependencies.DefaultDependencyHandler_Decorated@18899229. Instala el repositorio de soporte de Android desde el Administrador de SDK de Android. Abrir el SDK de Android ¡Pero ya he […]

Error al instalar apk – analizar el paquete

Estoy trabajando en una aplicación de Android y todo funciona bien cuando lo construyo en mi sistema local y ejecutar en el emulador, pero tan pronto como hago y lanzar e instalar apk en mi teléfono, se bloquea con error – There was an error parsing the package Como se puede ver, estoy construyendo con […]

Android Studio: No se pudo completar la ejecución de gradle. La causa está vacía

Traté de establecer diferentes Gradle Vm opción de todas las respuestas encontradas en stackoverflow, pero nada parece estar funcionando Estoy en Android Studio 1.2.2 Estoy recibiendo este error cuando intento ejecutar la aplicación en el emulador o el dispositivo. Lo único que está funcionando para mí es que tengo que configurar un nuevo proyecto en […]

Entrada duplicada Google Gson

Mi error: Error:Execution failed for task ':app:packageAllDebugClassesForMultiDex'. > java.util.zip.ZipException: duplicate entry: com/google/gson/annotations/Expose.class Estoy tratando de usar Stripe e integrarlo con retrofit. Tengo el archivo Stripe lib build.gradle y el archivo build.gradle de la aplicación. No veo lo que está causando este error y necesito la dependencia en ambos archivos de build.gradle porque tanto Stripe y […]

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.